import { Test, TestingModule } from '@nestjs/testing';
import { GameController } from './game.controller';
import {GameService} from "./game.service";
import {GameServiceMock} from "../mocks/game-service.mock";
import {VersusService} from "./versus/versus.service";
import {VersusServiceMock} from "../mocks/versus-service.mock";

describe('GameController', () => {
  let controller: GameController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [GameController],
      providers: [
        { provide: GameService, useValue: GameServiceMock },
        { provide: VersusService, useValue: VersusServiceMock },
      ]
    }).compile();

    controller = module.get<GameController>(GameController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
